Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055802 - Review Request: sbinary - typed Scala interface to binary formats
Summary: Review Request: sbinary - typed Scala interface to binary formats
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: sbt-package
TreeView+ depends on / blocked
 
Reported: 2014-01-21 00:15 UTC by Will Benton
Modified: 2014-01-31 04:24 UTC (History)
2 users (show)

Fixed In Version: sbinary-0.4.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-31 04:24:20 UTC
puntogil: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Will Benton 2014-01-21 00:15:41 UTC
Spec URL: http://freevariable.com/sbt/sbinary.spec
SRPM URL: http://freevariable.com/sbt/sbinary-0.4.2-1.fc19.src.rpm
Description: typed Scala interface to binary formats
Fedora Account System Username: willb

Comment 1 Will Benton 2014-01-21 16:00:31 UTC
I've updated the package in place to build without sbt.  The scriptlets are a little (i.e. "a lot") uglier, but that eliminates a circular dependency.

Comment 2 gil cattaneo 2014-01-21 20:28:32 UTC
some issues:

%install
please remove (unnecessary)
rm -rf %{buildroot}

%package javadoc
please remove (unnecessary)
Group:          Documentation
Summary:        Javadoc for %{name}
please remove (unnecessary)
BuildArch:	noarch

please add LICENSE copy
%files javadoc
%{_javadocdir}/%{name}

please use -p parameter (preserve timestamp)
cp target/%{name}-%{version}.jar %{buildroot}/%{_javadir}/%{name}.jar
cp target/%{name}-%{version}.pom %{buildroot}/%{_mavenpomdir}/JPP-%{name}.pom

suggestion, should better use: install -pm 644

Comment 3 gil cattaneo 2014-01-21 21:35:59 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- This seems like a Java package, please install fedora-review-plugin-java to
  get additional checks


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[!]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in sbinary-
     javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: sbinary-0.4.2-1.fc21.noarch.rpm
          sbinary-javadoc-0.4.2-1.fc21.noarch.rpm
          sbinary-0.4.2-1.fc21.src.rpm
sbinary.noarch: W: spelling-error %description -l en_US implicits -> implicit, implicit s, complicit
sbinary.src: W: spelling-error %description -l en_US implicits -> implicit, implicit s, complicit
sbinary.src:15: W: mixed-use-of-spaces-and-tabs (spaces: line 7, tab: line 15)
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint sbinary-javadoc sbinary
sbinary.noarch: W: spelling-error %description -l en_US implicits -> implicit, implicit s, complicit
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
sbinary-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

sbinary (rpmlib, GLIBC filtered):
    javapackages-tools
    jpackage-utils
    scala



Provides
--------
sbinary-javadoc:
    sbinary-javadoc

sbinary:
    mvn(org.scala-tools.sbinary:sbinary_2.10)
    sbinary



Source checksums
----------------
https://github.com/harrah/sbinary/archive/v0.4.2.tar.gz :
  CHECKSUM(SHA256) this package     : fd8e65f4275fe0fb087a917c1b4aa1b9b4a8ba602a8092ff3991edea0fdca60a
  CHECKSUM(SHA256) upstream package : fd8e65f4275fe0fb087a917c1b4aa1b9b4a8ba602a8092ff3991edea0fdca60a
https://raw.github.com/willb/climbing-nemesis/master/climbing-nemesis.py :
  CHECKSUM(SHA256) this package     : 2d1128468cd6f6e66c087e8c9c4ec972dd439575cf8022fd7c1919ea7d21f75f
  CHECKSUM(SHA256) upstream package : 2d1128468cd6f6e66c087e8c9c4ec972dd439575cf8022fd7c1919ea7d21f75f


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1055802 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 gil cattaneo 2014-01-21 21:37:53 UTC
ISSUES:

[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: License file installed when any subpackage combination is installed.
[!]: Packages should try to preserve timestamps of original installed files.

Comment 5 Will Benton 2014-01-21 21:40:57 UTC
Thanks, Gil!  I've updated the package in place to fix these issues (and sorry to miss those easy ones).

Comment 6 gil cattaneo 2014-01-21 21:52:42 UTC
APPROVED
Thanks to you for your amazing work

Comment 7 Will Benton 2014-01-21 22:05:26 UTC
New Package SCM Request
=======================
Package Name: sbinary
Short Description: typed Scala interface to binary formats
Owners: willb
Branches: f20

Comment 8 Gwyn Ciesla 2014-01-22 12:59:38 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-01-22 14:19:30 UTC
sbinary-0.4.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/sbinary-0.4.2-1.fc20

Comment 10 Fedora Update System 2014-01-23 11:15:58 UTC
sbinary-0.4.2-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 11 Fedora Update System 2014-01-31 04:24:20 UTC
sbinary-0.4.2-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.